Bug 832412 - Can't build success after move scalable jbossas-7 with jenkins embed
Can't build success after move scalable jbossas-7 with jenkins embed
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Triaged
Depends On:
Blocks: 833543
  Show dependency treegraph
 
Reported: 2012-06-15 07:12 EDT by Rony Gong
Modified: 2015-05-14 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 833543 (view as bug list)
Environment:
Last Closed: 2012-06-25 14:27:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jenkins log (11.63 KB, text/plain)
2012-06-15 07:12 EDT, Rony Gong
no flags Details
new jenkins_log of after move proxy gear (6.18 KB, text/plain)
2012-06-19 06:26 EDT, Rony Gong
no flags Details

  None (edit)
Description Rony Gong 2012-06-15 07:12:20 EDT
Created attachment 592103 [details]
jenkins log

Description of problem:



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Create scalable jbossas or jbosseap application, with jenkins embed
2.do move(move the jboss gear) within one district

  
Actual results:
After move, can't build success.

Expected results:
build success.

Additional info:
attachment is jenkins log.
Comment 1 Dan Mace 2012-06-15 15:34:33 EDT
Notice the build template:

<builderSize>medium</builderSize>


And the resulting error:

Caused by: com.openshift.express.internal.client.httpclient.BadRequestException: {"broker_c":["namespace","rhlogin","ssh","app_uuid","debug","alter","cartridge","cart_type","action","app_name","api"],"exit_code":134,"debug":"","result":"Invalid Size: medium.  Must be: small.  Please contact support for access to additional sizes.","api_c":["placeholder"],"data":"","api":"1.1.3","messages":""}


The builder size must be "small" in the dev environments.
Comment 2 Dan Mace 2012-06-15 15:55:59 EDT
Please add a step to your test scenario:

1. Create scalable jbossas or jbosseap application, with jenkins embed
2. Manually modify the jenkins build for the application to use a "Small" builder size
3. do move(move the jboss gear) within one district

My understanding is this is a required only in the dev environments, and only for JBoss apps with Jenkins builds.
Comment 3 Rony Gong 2012-06-19 06:24:24 EDT
I retest it on devenv_1857
1.create mulit node evn with 2 small nodes(dist1), 1 medium node(dist2)
2.create an scalable jbosseap, embed jenkins, could build success
3.move the jbosseap gear(not proxy gear),check, the proxy is down, can't access the proxy page, 503 error, but could access the jbosseap gear page.

below is the move log from development.log:

DEBUG: Cartridge command jbosseap-6.0::status exitcode = 0
DEBUG: Gear component 'jbosseap-6.0' was running
DEBUG: Stopping existing app cartridge 'jbosseap-6.0' before moving
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a0878b8>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"stop"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a05f340 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-92-241-213", :data=>{:output=>"ATTR: status=ALREADY_STOPPED\n", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::stop exitcode = 0
DEBUG: Force stopping existing app cartridge 'jbosseap-6.0' before moving
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a05af70>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"force-stop"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a49d9c0 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-92-241-213", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::force-stop exitcode = 0
DEBUG: Creating new account for gear 'd2a715955a' on ip-10-124-189-58
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a495950>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>{"--with-uid"=>1027, "--with-namespace"=>"qgong1", "--with-app-name"=>"qs2jbosseap", "--with-quota-files"=>"40000", "--with-app-uuid"=>"b324a4c07cdc440a9dfba45e392aadc4", "--with-quota-blocks"=>"1048576", "--with-container-name"=>"d2a715955a", "--with-container-uuid"=>"d2a715955ab945a79f1376b58eac482c"}, :cartridge=>"stickshift-node", :action=>"app-create"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a4442f8 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-124-189-58", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Moving content for app 'qs2jbosseap', gear 'd2a715955a' to ip-10-124-189-58
Agent pid 11090
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 11090 killed;
DEBUG: Performing cartridge level move for 'jbosseap-6.0' on ip-10-124-189-58
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a3f66c0>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"move"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a3c4968 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-124-189-58", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::move exitcode = 0
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a3c1d58>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"expose-port"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a389020 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-124-189-58", :data=>{:output=>"CART_DATA: PROXY_HOST=d2a715955a-qgong1.dev.rhcloud.com\nCART_DATA: PROXY_PORT=38166\nCART_DATA: HOST=127.2.1.129\nCART_DATA: PORT=8080\nCART_DATA: JBOSS_CLUSTER_PROXY_HOST=d2a715955a-qgong1.dev.rhcloud.com\nCART_DATA: JBOSS_CLUSTER_PROXY_PORT=38167\nCART_DATA: JBOSS_CLUSTER_HOST=127.2.1.129\nCART_DATA: JBOSS_CLUSTER_PORT=7600\nCART_DATA: JBOSS_MESSAGING_PORT=38168\nCART_DATA: JBOSS_MESSAGING_THROUGHPUT_PORT=38169\nCART_DATA: JBOSS_REMOTING_PORT=38170\n", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::expose-port exitcode = 0
DEBUG: Starting cartridge 'jbosseap-6.0' in 'qs2jbosseap' after move on ip-10-124-189-58
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a3834e0>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"start"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a2f75f8 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-124-189-58", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::start exitcode = 0
DEBUG: Fixing DNS and mongo for gear 'd2a715955a' after move
DEBUG: Changing server identity of 'd2a715955a' from 'ip-10-92-241-213' to 'ip-10-124-189-58'
DEBUG: DYNECT Login with path: /REST/Session/
DEBUG: DYNECT Response: {"status": "success", "data": {"token": "kQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ=", "version": "3.3.3"}, "job_id": 118300044, "msgs": [{"INFO": "login: Login successful", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: version3.3.3tokenkQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ=
DEBUG: DYNECT delete with path: /REST/CNAMERecord/rhcloud.com/d2a715955a-qgong1.dev.rhcloud.com/ and headers: {"Content-Type"=>"application/json", "Auth-Token"=>"kQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ="}
DEBUG: DYNECT Response: {"status": "success", "data": {}, "job_id": 118300046, "msgs": [{"INFO": "delete: 1 records deleted", "SOURCE": "API-B", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: 
DEBUG: Public ip being configured 'ec2-23-22-228-189.compute-1.amazonaws.com' to app 'd2a715955a'
DEBUG: DYNECT put/post with path: /REST/CNAMERecord/rhcloud.com/d2a715955a-qgong1.dev.rhcloud.com/ json data: {"rdata":{"cname":"ec2-23-22-228-189.compute-1.amazonaws.com"},"ttl":"60"} and headers: {"Content-Type"=>"application/json", "Auth-Token"=>"kQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ="}
DEBUG: DYNECT Response: {"status": "success", "data": {"zone": "rhcloud.com", "ttl": 60, "fqdn": "d2a715955a-qgong1.dev.rhcloud.com", "record_type": "CNAME", "rdata": {"cname": "ec2-23-22-228-189.compute-1.amazonaws.com."}, "record_id": 0}, "job_id": 118300059, "msgs": [{"INFO": "add: Record added", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: record_id0zonerhcloud.comrdatacnameec2-23-22-228-189.compute-1.amazonaws.com.record_typeCNAMEfqdnd2a715955a-qgong1.dev.rhcloud.comttl60
DEBUG: DYNECT put/post with path: /REST/Zone/rhcloud.com/ json data: {"publish":"true"} and headers: {"Content-Type"=>"application/json", "Auth-Token"=>"kQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ="}
DEBUG: DYNECT Response: {"status": "success", "data": {"zone_type": "Primary", "serial_style": "increment", "serial": 980682, "zone": "rhcloud.com"}, "job_id": 118300067, "msgs": [{"INFO": "publish: rhcloud.com published", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: zonerhcloud.comserial980682zone_typePrimaryserial_styleincrement
DEBUG: DYNECT delete with path: /REST/Session/ and headers: {"Content-Type"=>"application/json", "Auth-Token"=>"kQXyqtrKBszHoCjAwvDlwlnHvYgGb/a4XtmgganmSgbte5zJCIpWt+rVLdxYVSamnRvNnhVWQNF90uD89X7S/100jwuQ+ftKFZBHeTX/kqCCMThqHcBODmGV8mU1TcroPZ1CiUruEiMKNw3kg+5oE+c0DCITpzTn+bb/B3GycpQ="}
DEBUG: DYNECT Response: {"status": "success", "data": {}, "job_id": 118300085, "msgs": [{"INFO": "logout: Logout successful", "SOURCE": "BLL", "ERR_CD": null, "LVL": "INFO"}]}
DEBUG: DYNECT Response data: 
DEBUG: Output of parallel execute: result_stdoutqs2jbosseap-qgong1.dev.rhcloud.com:38162
jobargs--cart-namejbosseap-6.0--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4--hook-namepublish_jboss_clustercartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
Output of publisher - ''b324a4c07cdc440a9dfba45e392aadc4'='qs2jbosseap-qgong1.dev.rhcloud.com:38162
''
DEBUG: Output of parallel execute: result_stdoutjobargs--cart-namejbosseap-6.0--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4 \'b324a4c07cdc440a9dfba45e392aadc4\'\=\'qs2jbosseap-qgong1.dev.rhcloud.com:38162'
'\'--hook-nameset_jboss_clustercartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
DEBUG: Output of parallel execute: result_stdoutqs2jbosseap-qgong1.dev.rhcloud.com:38165
jobargs--cart-namejbosseap-6.0--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4--hook-namepublish_jboss_remotingcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
Output of publisher - ''b324a4c07cdc440a9dfba45e392aadc4'='qs2jbosseap-qgong1.dev.rhcloud.com:38165
''
DEBUG: Output of parallel execute: result_stdoutjobargs--cart-namejbosseap-6.0--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4 \'b324a4c07cdc440a9dfba45e392aadc4\'\=\'qs2jbosseap-qgong1.dev.rhcloud.com:38165'
'\'--hook-nameset_jboss_remotingcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
DEBUG: Output of parallel execute: result_stdoutd2a715955a-qgong1.dev.rhcloud.com:38167
jobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c--hook-namepublish_jboss_clustercartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
Output of publisher - ''d2a715955ab945a79f1376b58eac482c'='d2a715955a-qgong1.dev.rhcloud.com:38167
''
DEBUG: Output of parallel execute: result_stdoutjobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c \'d2a715955ab945a79f1376b58eac482c\'\=\'d2a715955a-qgong1.dev.rhcloud.com:38167'
'\'--hook-nameset_jboss_clustercartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
DEBUG: Output of parallel execute: result_stdoutd2a715955a-qgong1.dev.rhcloud.com:38170
jobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c--hook-namepublish_jboss_remotingcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
Output of publisher - ''d2a715955ab945a79f1376b58eac482c'='d2a715955a-qgong1.dev.rhcloud.com:38170
''
DEBUG: Output of parallel execute: result_stdoutjobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c \'d2a715955ab945a79f1376b58eac482c\'\=\'d2a715955a-qgong1.dev.rhcloud.com:38170'
'\'--hook-nameset_jboss_remotingcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
DEBUG: Output of parallel execute: result_stdoutCould not find /usr/libexec/stickshift/cartridges/jenkins-client-1.4/info/connection-hooks/colocate-with-haproxy-hackjobargs--cart-namejenkins-client-1.4--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4--hook-namecolocate-with-haproxy-hackcartridgestickshift-nodeactionconnector-executeresult_stderrCould not find /usr/libexec/stickshift/cartridges/jenkins-client-1.4/info/connection-hooks/colocate-with-haproxy-hackresult_exit_code127gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
Output of publisher - ''
DEBUG: Output of parallel execute: result_stdoutCould not find /usr/libexec/stickshift/cartridges/haproxy-1.4/info/connection-hooks/haproxy-colocation-hackjobargs--cart-namehaproxy-1.4--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4 ''--hook-namehaproxy-colocation-hackcartridgestickshift-nodeactionconnector-executeresult_stderrCould not find /usr/libexec/stickshift/cartridges/haproxy-1.4/info/connection-hooks/haproxy-colocation-hackresult_exit_code127gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
DEBUG: Output of parallel execute: result_stdoutd2a715955ab945a79f1376b58eac482c@10.124.189.58:d2a715955a;d2a715955a-qgong1.dev.rhcloud.com
jobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c--hook-namepublish-gear-endpointcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
Output of publisher - ''d2a715955ab945a79f1376b58eac482c'='d2a715955ab945a79f1376b58eac482c@10.124.189.58:d2a715955a;d2a715955a-qgong1.dev.rhcloud.com
''
DEBUG: Output of parallel execute: result_stdoutTue Jun 19 06:10:23 EDT 2012: Reloading haproxy service 
jobargs--cart-namehaproxy-1.4--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4 \'d2a715955ab945a79f1376b58eac482c\'\=\'d2a715955ab945a79f1376b58eac482c@10.124.189.58:d2a715955a\;d2a715955a-qgong1.dev.rhcloud.com'
'\'--hook-nameset-gear-endpointscartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
DEBUG: Output of parallel execute: result_stdoutd2a715955a-qgong1.dev.rhcloud.com|10.124.189.58:38166
jobargs--cart-namejbosseap-6.0--gear-uuidd2a715955ab945a79f1376b58eac482c--input-argsd2a715955a qgong1 d2a715955ab945a79f1376b58eac482c--hook-namepublish-http-urlcartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0geard2a715955ab945a79f1376b58eac482ctag, status: 0
Output of publisher - ''d2a715955ab945a79f1376b58eac482c'='d2a715955a-qgong1.dev.rhcloud.com|10.124.189.58:38166
''
DEBUG: Output of parallel execute: result_stdoutTue Jun 19 06:10:30 EDT 2012: Reloading haproxy service 
jobargs--cart-namehaproxy-1.4--gear-uuidb324a4c07cdc440a9dfba45e392aadc4--input-argsqs2jbosseap qgong1 b324a4c07cdc440a9dfba45e392aadc4 \'d2a715955ab945a79f1376b58eac482c\'\=\'d2a715955a-qgong1.dev.rhcloud.com\|10.124.189.58:38166'
'\'--hook-nameset-proxycartridgestickshift-nodeactionconnector-executeresult_stderrresult_exit_code0gearb324a4c07cdc440a9dfba45e392aadc4tag, status: 0
MongoDataStore.save(Application, qgong@redhat.com, qs2jbosseap, #hidden)

DEBUG: Deconfiguring old app 'qs2jbosseap' on ip-10-92-241-213 after move
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a411808>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>"'d2a715955a' 'qgong1' 'd2a715955ab945a79f1376b58eac482c'", :cartridge=>"jbosseap-6.0", :action=>"deconfigure"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a3c7910 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-92-241-213", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
DEBUG: Cartridge command jbosseap-6.0::deconfigure exitcode = 0
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7fc09a3c5610>
DEBUG: rpc_client.custom_request('cartridge_do', {:args=>{"--with-app-uuid"=>"b324a4c07cdc440a9dfba45e392aadc4", "--with-container-uuid"=>"d2a715955ab945a79f1376b58eac482c"}, :cartridge=>"stickshift-node", :action=>"app-destroy"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7fc09a394d30 @action="cartridge_do", @agent="libra", @results={:sender=>"ip-10-92-241-213", :data=>{:output=>"", :exitcode=>0}, :statusmsg=>"OK", :statuscode=>0}>]
Successfully moved 'qs2jbosseap' with gear uuid 'd2a715955ab945a79f1376b58eac482c' from 'ip-10-92-241-213' to 'ip-10-124-189-58'


Started POST "/broker/userinfo" for 203.114.244.88 at Tue Jun 19 06:11:39 -0400 2012
  Processing by LegacyBrokerController#user_info_post as 
  Parameters: {"json_data"=>"{\"api\":\"1.1.3\",\"rhlogin\":\"qgong@redhat.com\"}", "password"=>"[FILTERED]"}
User-Agent = ''
MongoDataStore.find(CloudUser, qgong@redhat.com, qgong@redhat.com)

[REQ_ID=c0ce0baba1bf481a94b234705c8b4d71] ACTION=LEGACY_USER_INFO 
Completed 200 OK in 156ms (Views: 3.1ms)
Comment 4 Rony Gong 2012-06-19 06:26:46 EDT
Created attachment 592902 [details]
new jenkins_log of after move proxy gear
Comment 5 Dan Mace 2012-06-19 12:13:43 EDT
This issue is starting to get away from us.

The original report was for a build failure in jbossas-7 under Jenkins post-move. The failure was due to a missing (but required) manual step in the testing process (to change the Jenkins builder size from medium to small after creating the test application), documented in comments above.

Now, a new issue is being reported for a build failure in the jbosseap-6 cartridge due to an issue unrelated to the original report.

The jbossas-7 and jbosseap-6 cartridges are two completely different cartridges and cannot be lumped together for diagnostic purposes. They do not share code. They must be treated as separate for bug tracking, although they may share common *test cases* and concepts.

Here is my recommendation:

1. Update this issue to make it clear that it relates to jbossas-7 specifically (and NOT jbosseap-6). Re-test jbossas-7 with my earlier recommendation. If it succeeds, there is no bug for jbossas-7 as originally reported.

2. Create a new bug report for jbosseap-6 specifically with the details for the test case and failure that led to the new build error now being reported.

Without doing this, we are going to have constant confusion and nothing is going to get tracked or resolved properly.
Comment 6 Dan Mace 2012-06-19 14:03:27 EDT
Please re-test *jbossas-7 only* with the original workaround for this issue, and direct all jbosseap testing to the newly cloned issue: 

https://bugzilla.redhat.com/show_bug.cgi?id=833543
Comment 7 Johnny Liu 2012-06-20 06:23:56 EDT
Verified this bug with devenv_1589, and PASS.

1. Setup multi node env, at least, make sure there is a "medium" node.
2. Create a scalable app of jbossas-7 type, and embed jenkins client to it.
3. Move jbossas-7 gear from one node to another.
4. Whatever I set "small" and "medium" builder size in jenkins, it always build successfully.

Note You need to log in before you can comment on or make changes to this bug.